Subject: RE: TLS for peering (wasRE:Comments (RE:[speermint]requirementsdraftsubmitted))

From: "Livingood, Jason" <[email-masked]>
Date: Fri, 21 Jul 2006 15:10:06 -0400

No, I think it means it is optional and may be useful in some
applications and not in others.  On one "side" of my network I may peer
in a particular way with another cable co. and NOT activate some option.
While on the other side of the network I connect to some federation and
WILL activate the option.  It was mandatory to implement so it's in the
s/w or h/w I use in my network, and depending upon the use cases I can
choose to activate it or not.

Jason 

> -----Original Message-----
> From: Hadriel Kaplan [mailto:[email-masked]] 
> Sent: Friday, July 21, 2006 2:01 PM
> To: 'Brian Rosen'; [email-masked]
> Subject: RE: TLS for peering (wasRE:Comments 
> (RE:[speermint]requirementsdraftsubmitted))
> 
> The part of that which confuses me is what does a MUST 
> IMPLEMENT but not must deploy mean in a BCP from Speermint?  
> Typically IETF RFCs are written from the perspective of 
> manufacturers of equipment. (ok, that's a gross 
> generalization, but you know what I mean)  So for them a MUST 
> IMPLEMENT means something which must be supported, but can be 
> disabled through configuration or some such.  
> 
> But IMO, Speermint BCPs are really written for the operators 
> - so what does MUST IMPLEMENT but not must deploy mean for 
> them?  Isn't it meaningless?
> 
> -hadriel
> 
> 
> > -----Original Message-----
> > From: Brian Rosen [mailto:[email-masked]]
> > Sent: Friday, July 21, 2006 12:08 PM
> > To: 'Klaus Darilion'; [email-masked]
> > Subject: RE: TLS for peering (was RE:Comments
> > (RE:[speermint]requirementsdraftsubmitted))
> > 
> > Having lived with protocols that offered options like IPsec 
> and VPNs 
> > and other mechanisms, I think that despite the fact that 
> you can, in 
> > theory, create a satisfactory security arrangement, it is 
> exceedingly 
> > hard to make it actually work except for cases where there is an 
> > entity that completely controls all aspects of the peering. 
>  That just 
> > isn't the case for what I think we are trying to specify here (such 
> > cases don't need IETF standardization).  Thus, I personally think 
> > mandating TLS is a good thing, achievable, and reasonable.  
> That's a 
> > MUST IMPLEMENT, not a must deploy; it's really hard to 
> control actual 
> > deployments, and I don't think we try hard to do so.
> > 
> > Brian
> > 
> 
> 
> _______________________________________________
> Speermint mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speermint
> 

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint